<script lang="ts">
    import { svgdraggable } from './drag'

    import type { SimulationNode } from './simulation'
    import { color, opacity } from '../color'

    export let node: SimulationNode

    $: nodeRadius = 10 + node.proportion * 20
</script>

<circle r={nodeRadius} cx={node.x} cy={node.y}
        fill={$color(node.index)}
        opacity={$opacity(node.index)}
        use:svgdraggable
        on:svgdragmove
        on:dblclick
></circle>
